package com.unipi.talepis.demo921;

import android.os.CountDownTimer;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.TextView;

public class MainActivity extends AppCompatActivity {
    TextView textView;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        textView = findViewById(R.id.textView);
    }
    public void go1(View view){
        new Thread(new Runnable() {
            @Override
            public void run() {
                try {
                    Thread.sleep(2000);
                } catch (InterruptedException e) {
                    e.printStackTrace();
                }
                Log.d("mytag1","Hello Unipi!");
                runOnUiThread(new Runnable() {
                    @Override
                    public void run() {
                        textView.setText("Hello students!");
                    }
                });
                textView.post(()->Log.d("hello","world"));
            }
        }).start();
            for (int i=0;i<10;i++){
                new Thread(()->Log.d("tag1","hello from thread ")).start();
            }
    }
    public void go2(View view){
        new CountDownTimer(10000,1000){
            @Override
            public void onTick(long millisUntilFinished) {
                textView.setText("Hello");
            }

            @Override
            public void onFinish() {
                textView.setText("Finished!");
            }
        }.start();
    }
}
